db2Specific()
{
  #-----------------------------------------------------------
  # For DB2 only, asks user for the RDBMS user password
  #-----------------------------------------------------------
  if [ "$VENDOR" = "DB2" ]; then
    while true; do
	echo "Please enter the password for $DBUSER user id."
	read answer
	echo

	if [ -n "$answer" ]; then
	    DBPWD=$answer
	    break
	else
	    echo "Error: a response is required."
	    echo
	    continue	
   fi
    done

  #-----------------------------------------------------------
  # For DB2 remote client only, asks user for DB2 node
  #-----------------------------------------------------------
	echo "From this DB2 client, are you connecting to a remote DB2 server?"
   echo "If so, enter 'Y' to attach this DB2 session to an existing node."
	echo "Otherwise, hit enter to continue."
	read answer
	echo

   DB2CLIENT=0

	if [ "$answer" = 'Y' -o "$answer" = 'y' ]; then
      while true; do
	      DB2CLIENT=1

      	echo
         echo "NOTE: In order to attach to a node for creating a database,"
         echo "please verify that a node has been cataloged to the remote"
         echo "DB2 server."
         echo 
      	echo "Please enter the name of the node that you will attach to."
         read answer
      	echo

      	if [ -n "$answer" ]; then
      	    DBNODE=$answer
      	    break
      	else
      	    echo "Error: a response is required."
      	    echo
      	    continue	
         fi
      done
   fi

  fi
}

db2Specific
