findVendor()
{   
  #---------------------------------------------------------------
  # Defines function call findVendor which prompts user for Vendor 
  #---------------------------------------------------------------
   if [ $QUERY_VENDOR = 1 ]; then
      echo
	   echo "$APPNAME requires a connection to an RDBMS server"
	   echo "please enter the name of the RDBMS vendor for $APPNAME "
	   echo "this must be either 'sybase', 'oracle', 'db2', or 'mssql'"
	   echo "or enter 'quit' to exit setup."
	   echo
      
      read answer
   fi

    
	case $answer in
	  q | quit | exit | bye)
	  echo "exiting..."
	  exit 1
	  ;;

      *Sybase | SYBASE | sybase)
	      VENDOR="Sybase"
	      SQLEXT="syb"
	      SID="name"
	      ADMIN_ID=sa
	      ;;

      *Oracle | ORACLE | oracle)
	      VENDOR="Oracle"
	      SQLEXT="ora"
	      SID="instance name"
	      ADMIN_ID=sys

	      if [ "$INTERP" = "w32-ix86" ]; then
	        type sqlplus > /dev/null
		    NO_SQLPLUS=$?
	      else
	        NO_SQLPLUS=0
	      fi
	      ;;

	  *DB2 | db2)
	      VENDOR="DB2"
	      SQLEXT="db2"
	      SID="name"
	      ;;

      *MS_SQL | ms_sql | MS_sql | MS_Sql | Ms_Sql | mssql | MSSQL)
	      if [ ! "$INTERP" = "w32-ix86" ]; then
	        echo "MS_SQL is supported only on Windows NT.  Please run this"
	        echo "program again on the Windows NT machine which you intend"
	        echo "to use as the RIM host."
	        exit 2
	      else
	        VENDOR="MS_SQL"
	        SQLEXT="mssql"
	        SID="name"
	      fi
	      ;;

       *)
	   echo "RDBMS vendor name not valid"
	   echo "please re-enter RDBMS vendor name"
	   findVendor
	   ;;
       esac
}	  

findVendor
