
dbSize()
{
  #-----------------------------------------------------------
  # Ask user for the DB size if not Informix database. The size of 
  # a database in Informix is determined when the corresponding
  # dbspace is created.
  #-----------------------------------------------------------
  DBSIZE=100

  if [ "$VENDOR" != "Informix" ]; then
    if [ "$VENDOR" != "DB2" ]; then
      echo "What size, in megabytes, do you want to make the"
      echo "$APPNAME database?" 
      echo "press Enter to use default: $DBSIZE "
      read answer
      echo

      if [ -n "$answer" ]; then
        DBSIZE=$answer
      fi
    
      if [ "$VENDOR" = "Oracle" ]; then
        DBSIZE=${DBSIZE}M  
      fi
    fi
  fi
}

dbSize
