rdbmsConfig()
{
  #-----------------------------------------------------------
  # Configure environment as user specified
  # to run isql/sqlplus 
  #-----------------------------------------------------------

  if [ "$VENDOR" = "Sybase" ]; then
    SYBASE=$DBHOME; export SYBASE
    DSQUERY=$DBSERVER; export DSQUERY
    PATH=${PATH}:$SYBASE/bin; export PATH

  elif [ "$VENDOR" = "Oracle" ]; then
    ORACLE_HOME=$DBHOME; export ORACLE_HOME
    TWO_TASK=$DBSERVER; export TWO_TASK
    ORACLE_SID=$DBID; export ORACLE_SID
    PATH=${PATH}:$ORACLE_HOME/bin; export PATH
    SQLPLUS=sqlplus
  
  elif [ "$VENDOR" = "DB2" ]; then
    DB2COMM=$DBSERVER; export DB2COMM
    DB2DIR=$DBHOME; export DB2DIR
    PATH=${PATH}:$DB2INST_HOME/sqllib/bin:$DB2INST_HOME/sqllib/misc
    PATH=${PATH}:$DB2INST_HOME/sqllib/adm
    export PATH

  elif [ "$VENDOR" = "MS_SQL" ]; then
    PATH=${PATH}:$DBHOME/bin; export PATH
fi
}

rdbmsConfig
