dbdevice()
{
  #-----------------------------------------------------------
  # For Sybase and MS_SQL 6.x only, assigns DB device 
  # Allows user to do one of the following:
  # 1) create a new db device (with user defined parameters)
  # 2) use existing db device
  #-----------------------------------------------------------
  if [ "$VENDOR" = "Sybase" -o "$VENDOR" = "MS_SQL" ]; then
    
    MSSQL7=0 

    if [ "$VENDOR" = "MS_SQL" ]; then
       echo "Are you running MSSQL 6.5?  If so, enter 'Y' to specify"
       echo "a database device for the new database.  Otherwise, hit"
	    echo "enter to continue."
	    echo
       read answer

       if [ "$answer" = 'Y' -o "$answer" = 'y' ]; then
          updateNrunScript
       else
          MSSQL7=1
       fi
    else 
       updateNrunScript   
    fi
  fi
}

updateNrunScript()
{
  sed -e "s,_pq_vendor,$VENDOR,g" \
      -e "s,_pq_sqlext,$SQLEXT,g" \
	   -e "s,_pq_appname,$APPNAME,g" \
	   -e "s,_pq_server,$DBSERVER,g" \
	    ./tmd_dbdevice.oo > ./tmd_dbdevice.sh
  . ./tmd_dbdevice.sh
}

dbdevice
