alterReport()
{
  #-------------------------------------------------------------------
  # Alters the update database SQL script with pre-canned report info.
  #-------------------------------------------------------------------

  for TMPDIR in $SQLDIR . /tmp; do
    [ -w $TMPDIR ] && break;
  done

  if [ ! -w $TMPDIR ]; then
    echo "Can't write customized SQL scripts in any of these directories:"
    echo "   $SQLDIR"
    echo "   ."
    echo "   /tmp"
    exit 2
  fi

  rm -f $TMPDIR/tmd_update_db.$SQLEXT.sql

  if [ "$VENDOR" = "DB2" ]; then
    if [ $DB2CLIENT != 1 ]; then
      echo "connect to $DBID user $DBUSER using $DBPWD" > $TMPDIR/tmd_update_db.$SQLEXT.sql
      cat $SQLDIR/tmd_update_db.$SQLEXT >> $TMPDIR/tmd_update_db.$SQLEXT.sql
    else
      echo "attach to $DBNODE user $DBUSER using $DBPWD" > $TMPDIR/tmd_update_db.$SQLEXT.sql
      echo "connect to $DBID user $DBUSER using $DBPWD" >> $TMPDIR/tmd_update_db.$SQLEXT.sql
      cat $SQLDIR/tmd_update_db.$SQLEXT >> $TMPDIR/tmd_update_db.$SQLEXT.sql
    fi
  else
    cat $SQLDIR/tmd_update_db.$SQLEXT >> $TMPDIR/tmd_update_db.$SQLEXT.sql
  fi
}

alterReport
