rimCheckConnect()
{
  # Runs a wrimtest on the RIM object $RIMname (tmd)
  # and finds the numeric return code.
  # deletes RIM object tmd if wrimtest fails

  # For DB2 on NT, sleep for 3 minutes before
  # performing RIM test to allow SQL script to 
  # finish since it starts another process
  
  if [ "$INTERP" = "w32-ix86" ]  ; then
     if [ "$VENDOR" = "DB2" ]; then
        echo
        echo "Sleeping for 3 minutes to allow database creation to finish..."
        echo
        sleep 180
     fi
  fi
  
  echo x | wrimtest -l $RIMname

  numOut=$?

  if [ $numOut != 0 ]; then
    echo "ERROR. RIM connection failed." >&2
    echo "Make sure the database was created with the correct configuration" >&2
    echo "Removing RIM object $RIMname." >&2
    wdel @RIM:tmd
    exit 2
  elif [ $numOut = 0 ]; then
    echo
    echo "RIM connection tested OK."
    echo "Database and RIM object created successfully."
  fi
}

rimCheckConnect
