runSql()
{
  #------------------------------------------------------------
  # Run the SQL commands to update the TMD pre-canned tables
  #------------------------------------------------------------ 

  if [ "$VENDOR" = "Sybase" -o "$VENDOR" = "MS_SQL" ]; then
    echo
    echo "At the Password: prompt, enter the DB $DBUSER user ID's password..."
    echo
    set -x
    isql -U$DBUSER -S$DBSERVER -i $TMPDIR/tmd_update_db.$SQLEXT.sql
    set +x

  elif [ "$VENDOR" = "Oracle" ]; then
    if [ $NO_SQLPLUS -eq 1 ]; then
	echo "There is no command line interface to SqlPlus on this platform."
	echo "Use the SQL Worksheet utility, log in as $DBUSER, to run the"
   echo "$SQLDIR/tmd_update_db.$SQLEXT SQL script."
    else
	echo
	echo "At the Password: prompt, enter the DB '$DBUSER' user ID's password..."
	echo
	set -x
	$SQLPLUS ${DBUSER}@$TWO_TASK @$TMPDIR/tmd_update_db.$SQLEXT.sql
	set +x
    fi

  elif [ "$VENDOR" = "DB2" ]; then
    if [ "$INTERP" = "w32-ix86" ]  ; then
	EXE=.exe
    else
	EXE=
    fi	

    if [ -f "$DB2INST_HOME/sqllib/bin/db2$EXE" ]; then
    	if [ "$INTERP" = "w32-ix86" ]  ; then
		set -x
		db2cmd.exe db2 -f $TMPDIR/tmd_update_db.$SQLEXT.sql
		set +x
	else
		set -x
		db2 -f $TMPDIR/tmd_update_db.$SQLEXT.sql
		set +x
	fi
    else
	echo "The DB2 command line processor was not found in "
	echo "$DB2INST_HOME/sqllib/bin.  Verify that you are "
	echo "logged on to the DB2 server machine and re-run "
	echo "this program."
    fi
  fi
}
runSql
